## ebook2cw 0.8.2

=== Makefile ===
# ebook2cw Makefile -- Fabian Kurz, DJ1YFK -- http://fkurz.net/ham/ebook2cw.html
#
# $Id: Makefile 547 2012-12-29 21:07:53Z dj1yfk $

VERSION=0.8.2
DESTDIR ?= /usr

# Set to NO to compile without Lame/Ogg-vorbis support
USE_LAME?=YES
USE_OGG?=YES

CFLAGS:=$(CFLAGS) -D DESTDIR=\"$(DESTDIR)\" -D VERSION=\"$(VERSION)\"

ifeq ($(USE_LAME), YES)
		CFLAGS:=$(CFLAGS) -D LAME
		LDFLAGS:=$(LDFLAGS) -lmp3lame 
endif
ifeq ($(USE_OGG), YES)
		CFLAGS:=$(CFLAGS) -D OGGV
		LDFLAGS:=$(LDFLAGS) -lvorbis -lvorbisenc -logg
endif


all: ebook2cw

ebook2cw: ebook2cw.c codetables.h
	gcc ebook2cw.c -pedantic -Wall -lm $(LDFLAGS) $(CFLAGS) -o ebook2cw

cgi: ebook2cw.c codetables.h
	gcc -static ebook2cw.c $(LDFLAGS) -lm $(CFLAGS) -D CGI -o cw.cgi

cgibuffered: ebook2cw.c codetables.h
	gcc -static ebook2cw.c $(LDFLAGS) -lm $(CFLAGS) -D CGI -D CGIBUFFERED -o cw.cgi

static:
	gcc -static ebook2cw.c $(LDFLAGS) -lm $(CFLAGS) -o ebook2cw

install:
	install -d -v                      $(DESTDIR)/share/man/man1/
	install -d -v                      $(DESTDIR)/bin/
	install -d -v                      $(DESTDIR)/share/doc/ebook2cw/
	install -d -v                      $(DESTDIR)/share/doc/ebook2cw/examples/
	install -s -m 0755 ebook2cw        $(DESTDIR)/bin/
	install    -m 0644 ebook2cw.1      $(DESTDIR)/share/man/man1/
	install    -m 0644 README          $(DESTDIR)/share/doc/ebook2cw/
	install    -m 0644 ebook2cw.conf   $(DESTDIR)/share/doc/ebook2cw/examples/
	install    -m 0644 isomap.txt      $(DESTDIR)/share/doc/ebook2cw/examples/
	install    -m 0644 utf8map.txt     $(DESTDIR)/share/doc/ebook2cw/examples/
	
uninstall:
	rm -f $(DESTDIR)/bin/ebook2cw
	rm -f $(DESTDIR)/share/man/man1/ebook2cw.1
	rm -rf $(DESTDIR)/share/doc/ebook2cw

clean:
	rm -f ebook2cw *~ *.mp3 *.ogg *.cgi

dist:
	sed 's/v[0-9].[0-9].[0-9]/v$(VERSION)/g' README > README2
	rm -f README
	mv README2 README
	rm -f releases/ebook2cw-$(VERSION).tar.gz
	rm -rf releases/ebook2cw-$(VERSION)
	mkdir ebook2cw-$(VERSION)
	cp ebook2cw.c codetables.h ChangeLog ebook2cw.1 \
			ebook2cw.conf isomap.txt utf8map.txt \
			ebook2cw.bat \
			README COPYING Makefile ebook2cw-$(VERSION)
	tar -zcf ebook2cw-$(VERSION).tar.gz ebook2cw-$(VERSION)
	mv ebook2cw-$(VERSION) releases/
	mv ebook2cw-$(VERSION).tar.gz releases/
	md5sum releases/*.gz > releases/md5sums.txt
	chmod a+r releases/*

=== debian/changelog ===
ebook2cw (0.8.2-2) unstable; urgency=low

  * Bump Standard-Version to 3.9.6.

 -- Christoph Feenders <debian@echti.de>  Thu, 12 Nov 2015 14:08:57 +0000

ebook2cw (0.8.2-1) unstable; urgency=low

  * Initial release (Closes: #698138)
  * Adjusted the Makefile to fix $(DESTDIR) problems.
  * Adjusted Makefile for hardening.
  * Adjusted array-size in ebook2cw.c to avoid overflow.
  * Adjusted manual page (escaped hyphons that are minus signs).

 -- Christoph Feenders <debian@echti.de>  Fri, 11 Jan 2013 09:22:01 +0100

=== debian/control ===
Source: ebook2cw
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Christoph Feenders <debian@echti.de>, Kamal Mostafa <kamal@whence.com>
Build-Depends: debhelper (>= 9), libmp3lame-dev, libogg-dev, libvorbis-dev, libvorbisenc2
Standards-Version: 3.9.6
Homepage: http://fkurz.net/ham/ebook2cw.html
#Vcs-Git: git://git.debian.org/collab-maint/ebook2cw.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/ebook2cw.git;a=summary

Package: ebook2cw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: convert ebooks to Morse MP3s/OGGs
 ebook2cw is a command line program which converts a plain text (ISO 8859-1 or
 UTF-8) file (ebook) to Morse code MP3 or OGG audio files.
 .
 It automatically splits and numbers the output files by chapters.
 .
 For a detailed description, please refer to the man-page or the project
 website.

=== debian/watch ===
# watch control file for uscan
version=3
http://fkurz.net/ham/ebook2cw/ebook2cw-(.+)\.tar\.gz debian uupdate

## ebook2cw 0.8.3

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # ebook2cw Makefile -- Fabian Kurz, DJ1YFK -- http://fkurz.net/ham/ebook2cw.html
 #
-# $Id: Makefile 547 2012-12-29 21:07:53Z dj1yfk $
+# $Id$
 
-VERSION=0.8.2
+VERSION=0.8.3
 DESTDIR ?= /usr
 
 # Set to NO to compile without Lame/Ogg-vorbis support
@@ -25,6 +25,7 @@
 
 ebook2cw: ebook2cw.c codetables.h
 	gcc ebook2cw.c -pedantic -Wall -lm $(LDFLAGS) $(CFLAGS) -o ebook2cw
+	msgfmt -o po/de.mo po/de.po
 
 cgi: ebook2cw.c codetables.h
 	gcc -static ebook2cw.c $(LDFLAGS) -lm $(CFLAGS) -D CGI -o cw.cgi
@@ -46,6 +47,7 @@
 	install    -m 0644 ebook2cw.conf   $(DESTDIR)/share/doc/ebook2cw/examples/
 	install    -m 0644 isomap.txt      $(DESTDIR)/share/doc/ebook2cw/examples/
 	install    -m 0644 utf8map.txt     $(DESTDIR)/share/doc/ebook2cw/examples/
+	install    -m 0644 po/de.mo        $(DESTDIR)/share/locale/de/LC_MESSAGES/ebook2cw.mo
 	
 uninstall:
 	rm -f $(DESTDIR)/bin/ebook2cw
@@ -53,7 +55,7 @@
 	rm -rf $(DESTDIR)/share/doc/ebook2cw
 
 clean:
-	rm -f ebook2cw *~ *.mp3 *.ogg *.cgi
+	rm -f ebook2cw *~ *.mp3 *.ogg *.cgi ebook2cw.exe po/*.mo
 
 dist:
 	sed 's/v[0-9].[0-9].[0-9]/v$(VERSION)/g' README > README2
@@ -62,10 +64,12 @@
 	rm -f releases/ebook2cw-$(VERSION).tar.gz
 	rm -rf releases/ebook2cw-$(VERSION)
 	mkdir ebook2cw-$(VERSION)
+	mkdir ebook2cw-$(VERSION)/po
 	cp ebook2cw.c codetables.h ChangeLog ebook2cw.1 \
 			ebook2cw.conf isomap.txt utf8map.txt \
 			ebook2cw.bat \
 			README COPYING Makefile ebook2cw-$(VERSION)
+	cp po/*.po ebook2cw-$(VERSION)/po
 	tar -zcf ebook2cw-$(VERSION).tar.gz ebook2cw-$(VERSION)
 	mv ebook2cw-$(VERSION) releases/
 	mv ebook2cw-$(VERSION).tar.gz releases/

=== debian/changelog ===
ebook2cw (0.8.3-2) unstable; urgency=medium

  * Team upload
  * Apply FTCBFS patch from Helmut Grohne (Closes: #979604)
  * Bump Standards-Version to 4.5.1
  * Add Vcs fields to debian/control
  * Use debhelper-compat 13
  * Set Rules-Requires-Root: no in debian/control
  * Update debian/watch to version 4
  * Freshen debian/copyright

 -- tony mancill <tmancill@debian.org>  Sun, 10 Jan 2021 10:53:05 -0800

ebook2cw (0.8.3-1) unstable; urgency=low

  * New upstream release 0.8.3.
  * Fix FTCBFS: Don't strip during make install. (Closes: #962430)
  * Bump Standard-Version to 4.5.0.

 -- Christoph Feenders <debian@echti.de>  Tue, 16 Jun 2020 20:06:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Christoph Feenders <debian@echti.de>, Kamal Mostafa <kamal@whence.com>
-Build-Depends: debhelper (>= 9), libmp3lame-dev, libogg-dev, libvorbis-dev, libvorbisenc2
-Standards-Version: 3.9.6
-Homepage: http://fkurz.net/ham/ebook2cw.html
-#Vcs-Git: git://git.debian.org/collab-maint/ebook2cw.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/ebook2cw.git;a=summary
+Build-Depends: debhelper-compat (= 13), libmp3lame-dev, libogg-dev, libvorbis-dev, libvorbisenc2
+Standards-Version: 4.5.1
+Homepage: https://fkurz.net/ham/ebook2cw.html
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/ebook2cw.git
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/ebook2cw
+Rules-Requires-Root: no
 
 Package: ebook2cw
 Architecture: any

=== debian/watch ===
# watch control file for uscan
version=4
https://fkurz.net/ham/ebook2cw/ebook2cw-(.+)\.tar\.gz debian uupdate

## ebook2cw 0.8.4

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # $Id$
 
-VERSION=0.8.3
+VERSION=0.8.4
 DESTDIR ?= /usr
 
 # Set to NO to compile without Lame/Ogg-vorbis support
@@ -20,11 +20,16 @@
 		LDFLAGS:=$(LDFLAGS) -lvorbis -lvorbisenc -logg
 endif
 
+UNAME := $(shell uname)
+
+ifeq ($(UNAME), Darwin)
+	LDFLAGS += -lintl
+endif
 
 all: ebook2cw
 
 ebook2cw: ebook2cw.c codetables.h
-	gcc ebook2cw.c -pedantic -Wall -lm $(LDFLAGS) $(CFLAGS) -o ebook2cw
+	gcc ebook2cw.c -pedantic -Wall -Wno-format-truncation -lm $(LDFLAGS) $(CFLAGS) -o ebook2cw
 	msgfmt -o po/de.mo po/de.po
 
 cgi: ebook2cw.c codetables.h

=== debian/changelog ===
ebook2cw (0.8.4-1) unstable; urgency=medium

  * New upstream version 0.8.4
  * Refresh patches for new upstream release
  * Update Uploaders.  Thank you Christoph Feenders!
  * Bump Standards-Version to 4.6.1

 -- tony mancill <tmancill@debian.org>  Sun, 05 Jun 2022 22:15:27 -0700

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,14 @@
 Section: hamradio
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Christoph Feenders <debian@echti.de>, Kamal Mostafa <kamal@whence.com>
-Build-Depends: debhelper-compat (= 13), libmp3lame-dev, libogg-dev, libvorbis-dev, libvorbisenc2
-Standards-Version: 4.5.1
+Uploaders: Kamal Mostafa <kamal@whence.com>,
+ tony mancill <tmancill@debian.org>
+Build-Depends: debhelper-compat (= 13),
+ libmp3lame-dev,
+ libogg-dev,
+ libvorbis-dev,
+ libvorbisenc2
+Standards-Version: 4.6.1
 Homepage: https://fkurz.net/ham/ebook2cw.html
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/ebook2cw.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/ebook2cw

## ebook2cw 0.8.5

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,6 @@
-# ebook2cw Makefile -- Fabian Kurz, DJ1YFK -- http://fkurz.net/ham/ebook2cw.html
-#
-# $Id$
+# ebook2cw Makefile -- Fabian Kurz, DJ5CW -- http://fkurz.net/ham/ebook2cw.html
 
-VERSION=0.8.4
+VERSION=0.8.5
 DESTDIR ?= /usr
 
 # Set to NO to compile without Lame/Ogg-vorbis support
@@ -29,23 +27,24 @@
 all: ebook2cw
 
 ebook2cw: ebook2cw.c codetables.h
-	gcc ebook2cw.c -pedantic -Wall -Wno-format-truncation -lm $(LDFLAGS) $(CFLAGS) -o ebook2cw
+	$(CC) ebook2cw.c -pedantic -Wall -Wno-format-truncation -lm $(LDFLAGS) $(CFLAGS) -o ebook2cw
 	msgfmt -o po/de.mo po/de.po
 
 cgi: ebook2cw.c codetables.h
-	gcc -static ebook2cw.c $(LDFLAGS) -lm $(CFLAGS) -D CGI -o cw.cgi
+	$(CC) -static ebook2cw.c $(LDFLAGS) -lm $(CFLAGS) -D CGI -o cw.cgi
 
 cgibuffered: ebook2cw.c codetables.h
-	gcc -static ebook2cw.c $(LDFLAGS) -lm $(CFLAGS) -D CGI -D CGIBUFFERED -o cw.cgi
+	$(CC) -static ebook2cw.c $(LDFLAGS) -lm $(CFLAGS) -D CGI -D CGIBUFFERED -o cw.cgi
 
 static:
-	gcc -static ebook2cw.c $(LDFLAGS) -lm $(CFLAGS) -o ebook2cw
+	$(CC) -static ebook2cw.c $(LDFLAGS) -lm $(CFLAGS) -o ebook2cw
 
 install:
 	install -d -v                      $(DESTDIR)/share/man/man1/
 	install -d -v                      $(DESTDIR)/bin/
 	install -d -v                      $(DESTDIR)/share/doc/ebook2cw/
 	install -d -v                      $(DESTDIR)/share/doc/ebook2cw/examples/
+	install -d -v                      $(DESTDIR)/share/locale/de/LC_MESSAGES/
 	install -s -m 0755 ebook2cw        $(DESTDIR)/bin/
 	install    -m 0644 ebook2cw.1      $(DESTDIR)/share/man/man1/
 	install    -m 0644 README          $(DESTDIR)/share/doc/ebook2cw/

=== debian/changelog ===
ebook2cw (0.8.5-1) unstable; urgency=medium

  * New upstream version 0.8.5
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.6.2 (no changes)
  * Refresh patches and remove patches/hunks applied upstream

 -- tony mancill <tmancill@debian.org>  Mon, 04 Sep 2023 11:10:00 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libogg-dev,
  libvorbis-dev,
  libvorbisenc2
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://fkurz.net/ham/ebook2cw.html
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/ebook2cw.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/ebook2cw
